*********************************
* Manual Backup Program for NS5 *
*********************************
setenv SHELL mshell
chd /ro_fr0/sys

**** load modules ****
gzload panel_01.gz<>>>/nil

**** sys check ****
let ret_syschk = execute("selfHWchk o")

**** load font ****
gzload /ro_fr0/font/fonts_NS5.gz<>>>/nil
selfHWchk f
link 8859_0816.font 8859_1632.font kana_0808.font kana_0816.font \
		kana_1632.font kanj_1616.font kanj_3232.font \
		mark_1616.font mark_3232.font

**** language check ****
let sysini = execute("selfHWchk i")

**** breif hardware check ****
let ret_tp = execute("selfHWchk p <>>>/nil")

**** CF check (sram_chk) ****
let ret_cf = execute("selfHWchk l <>>>/nil")

**** error output **** remove (ret_sml != 0) 
if ((%ret_tp != 0) || (%ret_cf == -4) || (%ret_cf == -5) || (%ret_syschk < 0))

	load -d errmesqvga
	
	**** and startup myhello(normal)***
	myhello5 ^768 <>>>/nil&

	*** wait until myhello makes a pipe ***
	while( exist("/pipe/myhello") == FALSE)
	endwhile
	*** wait end ***

	if (%ret_syschk < 0)
		led_ctrl 1 0
		led_ctrl 0 1
		if (%sysini & 1 == 1)
			echo -r "** ERROR No.12:Installed system program">+/pipe/myhello
			echo -r "   is not applicable for this hardware:">+/pipe/myhello
			echo    "   Please reinstall the system program ">+/pipe/myhello
		else
			echo "!@#%">+/pipe/myhello
			echo2 15
		endif
		mystop
		sleep 0
	endif
	if (%ret_tp < 0)
		led_ctrl 1 0
		led_ctrl 0 1
		if (%sysini & 1 == 1)
			echo -r "** FATAL ERROR No.01: Touch Panel is   ">+/pipe/myhello
			echo -r "   not connected : Please contact your ">+/pipe/myhello
			echo    "   OMRON service center                ">+/pipe/myhello
		else
			echo "!@#%">+/pipe/myhello
			echo2 3
		endif
		mystop
		sleep 0
	elif (%ret_tp > 0)
		if (%sysini & 1 == 1)
			echo -r "** ERROR No.11: Device check program   ">+/pipe/myhello
			echo -r "   Error: Please reinstall the system  ">+/pipe/myhello
			echo    "   program:Touch the screen to continue">+/pipe/myhello
			mystop
		else
			echo "!@#%">+/pipe/myhello
			echo2 13
			mystop
			echo2 1
		endif
	endif
	
	if ((%ret_cf == -4) || (%ret_cf == -5))
		if (%sysini & 1 == 1)
			echo -r "** WARNING No.22: Memory Card Error:   ">+/pipe/myhello
			echo -r "   Some files in a memory card may be  ">+/pipe/myhello
			echo -r "   corrupted. Safely remove the memory ">+/pipe/myhello
			echo -r "   card, and check whether files stored">+/pipe/myhello
			echo -r "   in the memory card are not corrupted">+/pipe/myhello
			echo -r "   on a computer. You can continue to  ">+/pipe/myhello
			echo -r "   startup the PT by touching on the   ">+/pipe/myhello
			echo -r "   screen, however, it may NOT oparate ">+/pipe/myhello
			echo -r "   correctly when accessing to the     ">+/pipe/myhello
			echo    "   memory card.                        ">+/pipe/myhello
			mystop
		else
			echo "!@#%">+/pipe/myhello
			echo2 18
			mystop
			echo2 1
		endif
	endif

	**** myhello terminate *****
	echo "!@#$" >+/pipe/myhello&
	mystop
endif

**** execute CF transfer ****
let ret = execute("panel_01<>>>/nil")

* LED RED blink if error
led_ctrl 2 0
if(%ret != 0)
    led_ctrl 0 2&
endif
